package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.WmsGoods;

/**
 * 货物Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public interface WmsGoodsMapper 
{

    /**
     * 新增货物
     * 
     * @param wmsGoods 货物
     * @return 结果
     */
    public int insertWmsGoods(WmsGoods wmsGoods);

    /**
     * 修改货物
     * 
     * @param wmsGoods 货物
     * @return 结果
     */
    public int updateWmsGoods(WmsGoods wmsGoods);

    /**
     * 删除货物
     * 
     * @param goodsId 货物主键
     * @return 结果
     */
    public int deleteWmsGoodsByGoodsId(String goodsId);

    /**
     * 批量删除货物
     * 
     * @param goodsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWmsGoodsByGoodsIds(String[] goodsIds);
}
